import dayjs from "dayjs";
import * as Yup from "yup";

export const getInitialValues = (objectToEdit: any): any => {
  return {
    content: null,
    date: dayjs(Date()),
    type: null,
    attachments: null,
  };
};

export const getValidationSchema = () => {
  // validate input
  return Yup.object().shape({
    content: Yup.string().required("مطلوب"),
    date: Yup.string().required("مطلوب"),
    type: Yup.string().required("مطلوب"),
  });
};
